Subject: Re: [MMUSIC] New Version Notification for draft-wing-mmusic-ice-mobility-01.txt
From: "Tirumaleswar Reddy (tireddy)" <[email-masked]>
To: Emil Ivov <[email-masked]>
Cc: "Prashanth Patil \(praspati\)" <[email-masked]>, "[email-masked]" <[email-masked]>, "Dan Wing \(dwing\)" <[email-masked]>
Date: Mon, 17 Sep 2012 16:47:15 +0000
List-Id: Multiparty Multimedia Session Control Working Group <mmusic.ietf.org>

Hi Emil -

Thanks for the comments. we are in the process of updating the draft -

We are planning to add the high-lighted sentence in Introduction, please let us know if you have any further comments.

Although ICE does allow an "ICE restart", this is done by sending a re-INVITE which goes over the SIP signaling path. The SIP signaling path is often slower than the media path (which needs to be recovered as quickly as possible), consumes an extra half round trip, and incurs an additional delay if the mobility event forces the endpoint to re-connect with its SIP proxy. When a device changes its IP address, it is necessary for it to re-establish connectivity with its SIP proxy, which can be performed in parallel with the steps described in this document. This document describes how mobility is performed entirely in the media path, without the additional delay of re-establishing SIP connectivity, issuing a new offer/answer, or the complications of multiple SIP offers. This document considers re-establishing bi-directional media the most critical aspect of a successful mobility event, and its efforts are towards meeting that goal.

We will also added the following text at the end of section 3.1

The Mobile device would also in parallel re-establish connection with the SIP proxy and if the ICE connectivity checks in the previous steps are not successful then issues new offer/answer and restarts ICE.

--Tiru.

> -----Original Message-----
> From: Emil Ivov [mailto:[email-masked]]
> Sent: Thursday, September 13, 2012 2:59 PM
> To: Tirumaleswar Reddy (tireddy)
> Cc: [email-masked]
> Subject: Re: [MMUSIC] New Version Notification for draft-wing-mmusic-ice-
> mobility-01.txt
>
> Hey Tiru,
>
> One thing that I think this document is not very clear about is its
> relationship to standard mobility handling (i.e. through ICE restart).
>
> As far as I can see, ICE restart is only mentioned when describing its
> inefficiency.
>
> You did confirm in Vancouver that ICE Mobility is only meant as an
> optimisation that would only take place until the ICE restart completes
> but I don't see it anywhere in the text. Or am I missing something?
>
> Cheers,
> Emil
>
> On 20.07.12, 13:36, Tirumaleswar Reddy (tireddy) wrote:
> > Hi all,
> >
> > Dan, Prashanth and I have submitted a draft that explains how
> > endpoint mobility can be achieved using ICE.  Two mechanisms are
> > shown, one where both endpoints support ICE and another where only
> > one endpoint supports ICE. When only one endpoint supports ICE, a
> > TURN server provides mobility.
> >
> > http://www.ietf.org/internet-drafts/draft-wing-mmusic-ice-mobility-01.txt
> >
> >  Please let know your comments. If time permits we'd present the
> > draft in Vancouver.
> >
> > Regards, Tiru.
> >
> >> -----Original Message----- From: Tirumaleswar Reddy (tireddy) Sent:
> >> Friday, July 20, 2012 3:18 PM To: [email-masked]<mailto:[email-masked]> Subject: FW: New
> >> Version Notification for draft-wing-mmusic-ice- mobility-01.txt
> >>
> >> -----Original Message----- From: [email-masked]<mailto:[email-masked]>
> >> [mailto:[email-masked]]<mailto:[mailto:[email-masked]]> Sent: Tuesday, July 17, 2012 3:52
> >> AM To: Dan Wing (dwing) Cc: Prashanth Patil (praspati);
> >> Tirumaleswar Reddy (tireddy) Subject: New Version Notification for
> >> draft-wing-mmusic-ice-mobility- 01.txt
> >>
> >>
> >> A new version of I-D, draft-wing-mmusic-ice-mobility-01.txt has
> >> been successfully submitted by Dan Wing and posted to the IETF
> >> repository.
> >>
> >> Filename:   draft-wing-mmusic-ice-mobility Revision:        01 Title:
> >> Mobility with ICE (MICE) Creation date:     2012-07-16 WG ID:
> >> Individual Submission Number of pages: 12 URL:
> >> http://www.ietf.org/internet-drafts/draft-wing-mmusic-
> >> ice-mobility-01.txt Status:
> >> http://datatracker.ietf.org/doc/draft-wing-mmusic-ice- mobility
> >> Htmlized:        http://tools.ietf.org/html/draft-wing-mmusic-ice-
> >> mobility-01 Diff:
> >> http://tools.ietf.org/rfcdiff?url2=draft-wing-mmusic-
> >> ice-mobility-01
> >>
> >> Abstract: This specification describes how endpoint mobility can be
> >> achieved using ICE.  Two mechanisms are shown, one where both
> >> endpoints support ICE and another where only one endpoint supports
> >> ICE.
> >>
> >>
> >>
> >>
> >> The IETF Secretariat
> > _______________________________________________ mmusic mailing list
> > [email-masked]<mailto:[email-masked]> https://www.ietf.org/mailman/listinfo/mmusic
> >
>
> --
> Emil Ivov, Ph.D.                       67000 Strasbourg,
> Project Lead                           France
> Jitsi
> [email-masked]<mailto:[email-masked]>                        PHONE: +33.1.77.62.43.30
> http://jitsi.org                       FAX:   +33.1.77.62.47.31